# Specify a Carrier Service

A shipment must specify the carrier and service that will be used to deliver the shipment to the recipient. These values are defined by the `carrier_id` (the carrier that will deliver the package) and `service_code` (the service class to use for the delivery, which also determines the transit time and the cost of the label).

While this was breifly covered in the [create a label guide](/apis/shipengine/docs/labels/create-a-label), here we'll provide a more detailed explanation about using these properties to create shipments and labels.

You can retrieve the `carrier_id` (and `carrier_code`) when you [list carriers](/apis/shipengine/docs/reference/list-carriers) and the `service_code` when you [ist carrier services](/apis/shipengine/docs/reference/list-carrier-services).

## Example Label Request & Response

In our [create a label guide](/apis/shipengine/docs/labels/create-a-label) example, we used UPS as the carrier and `ups_ground` as the service. In the following example, we've determined we *really* need to get this package to it's destination quickly, so we'll use USPS Priority Mail Express™ as the carrier and service to accomplish this.

**POST /v1/labels/**


```http
POST /v1/labels HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "shipment": {
    "carrier_id": "se-123890",
    "service_code": "usps_priority_mail_express",
    "ship_to": {
      "name": "Amanda Miller",
      "phone": "555-555-5555",
      "address_line1": "525 S Winchester Blvd",
      "city_locality": "San Jose",
      "state_province": "CA",
      "postal_code": "95128",
      "country_code": "US",
      "address_residential_indicator": "yes"
    },
    "ship_from": {
      "company_name": "Example Corp.",
      "name": "John Doe",
      "phone": "111-111-1111",
      "address_line1": "4009 Marathon Blvd",
      "address_line2": "Suite 300",
      "city_locality": "Austin",
      "state_province": "TX",
      "postal_code": "78756",
      "country_code": "US",
      "address_residential_indicator": "no"
    },
    "packages": [
      {
        "weight": {
          "value": 9.6,
          "unit": "ounce"
        },
        "dimensions": {
          "unit": "inch",
          "length": 12.0,
          "width": 7.1,
          "height": 6.0
        }
      }
    ]
  }
}
```

**Example Response**


```json
{
  "label_id": "se-test-202923025",
  "status": "processing",
  "shipment_id": "se-202923025",
  "ship_date": "2019-07-25T05:00:00.000Z",
  "created_at": "2019-07-25T15:24:46.657Z",
  "shipment_cost": {
    "currency": "usd",
    "amount": 0.0
  },
  "insurance_cost": {
    "currency": "usd",
    "amount": 0.0
  },
  "tracking_number": "9999999999999",
  "is_return_label": false,
  "is_international": false,
  "batch_id": "",
  "carrier_id": "se-123890",
  "service_code": "usps_priority_mail_express",
  "package_code": "package",
  "voided": false,
  "label_format": "pdf",
  "label_layout": "4x6",
  "trackable": false,
  "carrier_code": "stamps_com",
  "tracking_status": "unknown",
  "label_download": {
    "pdf": "https://api.shipengine.com/v1/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.pdf",
    "png": "https://api.shipengine.com/v1/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.png",
    "zpl": "https://api.shipengine.com/v1/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.zpl",
    "href": "https://api.shipengine.com/v1/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.pdf"
  },
  "form_download": null,
  "insurance_claim": null
}
```